/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package personinsurance

import (
	e "simrs-vx/internal/domain/main-entities/person-insurance"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.PersonInsurance) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Person_Id = &inputSrc.Person_Id
	data.InsuranceCompany_Id = inputSrc.InsuranceCompany_Id
	data.Ref_Number = inputSrc.Ref_Number
	data.DefaultStatus = inputSrc.DefaultStatus
}
